<?php

/*
 * Implementation of hook_elements
 */
function fusioncharts_elements() {
  $type['matrixfield'] = array(
    '#attributes' => array('class' => 'matrixfield'), 
    '#input' => TRUE,
    '#default_value' => array()
  );
  return $type;
}

// function borrowed from the matrix module
function theme_matrix_table_form($form) {
  $rows = array();
  $header = $form['header']['#value'];
  
  foreach ($form['matrix'] as $row_key => $fields) {
    if (!empty($form['first_col']['#value'][$row_key])) {
      $row = array();
      $row[] = $form['first_col']['#value'][$row_key];
      foreach ($fields as $col_key => $field) {
        if ($field['#type'] == 'textfield') { 
          $row[] = drupal_render($form['matrix'][$row_key][$col_key]);
        }
      }
      $rows[] = $row;
    }
  }
  
  drupal_render($form['header']);
  drupal_render($form['first_col']);
  $output .= theme('table', $header, $rows, array('class' => 'matrix'));
  return $output;
}

// function borowed from the matrix module
function theme_matrix_table_view($node_field, $field) {
  $header[] = '';
  for ($i=1; $i<= MATRIX_NUMBER; $i++) {
    if (!empty($field['label_column_'. $i])) {
      $header[] = $field['label_column_'. $i];
    }
    $rows = NULL;
    if (!empty($field['label_row_'. $i])) {
      $rows[] = $field['label_row_'. $i];
      for ($j=1; $j<= MATRIX_NUMBER; $j++) {
        if (!empty($node_field[$i][$j])) {
          $rows[] = $node_field[$i][$j];
        }
        elseif (!empty($field['label_column_'. $j])) {
          $rows[] = '-';
        }
      }
    }
    if ($rows) $row[] = $rows;
  }
  return theme('table', $header, $row, array('style' => 'width:auto'));
}

function theme_matrixfield($element) {
  $header = array();
  $header[0] = '';
  $first_col = array();
  $rows_count = count($element['#rows']);
  $cols_count = count($element['#cols']);
  array_unshift($element['#rows'], '');
  array_unshift($element['#cols'], '');
  for ($i=0; $i< $rows_count; $i++) {
    $first_col[$i] = $element['#rows'][$i+1];
    for ($j=0; $j< $cols_count; $j++) {
      $header[$j+1] = $element['#cols'][$j+1];
      $form['matrix'][$i][$j] = array(
        '#type' => 'textfield',
        '#size' => 5,
        '#parents' => array(
          0 => $element['#name'],
          1 => 'matrix',
          2 => $i,
          3 => $j,
        ),
        '#name' => "{$element['#name']}[matrix][$i][$j]",
        '#id' => "edit-field-{$element['#name']}-matrix-$i-$j",
        '#value' => isset($element['#default_value'][$i][$j]) ? $element['#default_value'][$i][$j] : '',
      );
    }
  }
  $form['header'] = array('#value' => $header);
  $form['first_col'] = array('#value' => $first_col);
  $output = theme('matrix_table_form', $form);
  return theme('form_element', $element, $output);
}